#!/usr/bin/env node

const { spawn } = require('child_process');
const { highlightLine } = require('../lib/parser');

const args = process.argv.slice(2);
if (args.length === 0) {
  console.log('Usage: logview "<command>"');
  process.exit(1);
}

const child = spawn(args.join(' '), { shell: true });

child.stdout.on('data', (data) => {
  const lines = data.toString().split('\n');
  lines.forEach((line) => console.log(highlightLine(line)));
});

child.stderr.on('data', (data) => {
  const lines = data.toString().split('\n');
  lines.forEach((line) => console.log(highlightLine(line)));
});
